## python3-defaults 3.13.1-1~exp2

=== debian/changelog ===
python3-defaults (3.13.1-1~exp2) experimental; urgency=medium

  * Correct Depends of libpython3-dbg: libpython3.13-dbg does not need a t64
    suffix.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 25 Dec 2024 17:34:28 -0400

python3-defaults (3.13.1-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Default to Python 3.13.

  [ Stefano Rivera ]
  * Remove redundant check from check_versions.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 25 Dec 2024 12:20:34 -0400

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.0-2~),
  python3.13-minimal:any,
  python3-docutils <!nodoc>,
  python3-sphinx <!nodoc>,
  html2text (>= 2) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.python.org/
Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults

Package: python3
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3-minimal (= ${binary:Version})
Depends: python3.13 (>= 3.13.0-2~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.7-1~) , python3-venv (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.13)
Conflicts: python3-distutils
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.13).

Package: python3-venv
Architecture: any
Multi-Arch: allowed
Depends: python3.13-venv (>= 3.13.0-2~), python3 (= ${binary:Version}),
  ${misc:Depends}
Description: venv module for python3 (default python3 version)
 This package contains the venv module for the Python language (default python3
 version).
 .
 The venv module provides support for creating lightweight "virtual
 environments" with their own site directories, optionally isolated from system
 site directories. Each virtual environment has its own Python binary (which
 matches the version of the binary that was used to create this environment)
 and can have its own independent set of installed Python packages in its site
 directories.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's venv module (currently v3.13).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3.13-minimal (>= 3.13.0-2~)
Depends: dpkg (>= 1.13.20), ${misc:Depends}
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.13-minimal/README.Debian for a list of the modules
 contained in this package.
XB-Cnf-Visible-Pkgname: python3

Package: python3-nopie
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
  python3.13-nopie (>= 3.13.0-2~), ${misc:Depends}
Description: Python interpreter linked without PIE (default python3 version)
 This package contains the interpreter not built as position independent
 executable. This interpreter is diverting the python3 executable, and making
 the interpreter built with PIE available as python3-pie.
XB-Cnf-Visible-Pkgname: python3

Package: python3-examples
Architecture: all
Multi-Arch: foreign
Depends: python3 (>= ${binary:Version}), python3.13-examples (>= 3.13.0-2~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's examples (currently v3.13).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
  python3.13-dev (>= 3.13.0-2~),
  ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python3 (<< 3.9.2-1~)
Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
Built-Using: ${sphinxdoc:Built-Using}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.13).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3.13-dev (>= 3.13.0-2~), ${misc:Depends}
Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.13).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.13-stdlib (>= 3.13.0-2~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 This package contains the majority of the standard library for the Python
 language (default python3 version).
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's standard library (currently v3.13).

Package: idle
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.13
Enhances: python3
Breaks: idle3 (<< 3.6.2-2)
Replaces: idle3 (<< 3.6.2-2)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's IDLE (currently v3.13).

Package: python3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: python3.13-doc (>= 3.13.0-2~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.13). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's documentation (currently v3.13).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.13-dbg (>= 3.13.0-2~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.13)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.13/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3.13-dbg (>= 3.13.0-2~), ${misc:Depends}
Breaks: python3-dbg (<< 3.8.0-1)
Replaces: python3-dbg (<< 3.8.0-1)
Description: debug build of the Python 3 Interpreter (version 3.13)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.13/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 ${misc:Depends},
 python3.12,
 python3.13,
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.12 and python3.13. In the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
 be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 libpython3-all-dev (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dev (= ${binary:Version}),
 ${misc:Depends},
 python3.12-dev,
 python3.13-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.12-dev and python3.13-dev. In the
 future, dependencies on jython (Python for a JVM) and ironpython (Python for
 Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}),
 libpython3-all-dbg (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dbg (= ${binary:Version}),
 ${misc:Depends},
 python3.12-dbg,
 python3.13-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.12-dbg and python3.13-dbg. In the
 future, dependencies on jython (Python for a JVM) and ironpython (Python for
 Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: python3-all-venv
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-venv (= ${binary:Version}),
 ${misc:Depends},
 python3.12-venv,
 python3.13-venv,
Description: package depending on all supported Python 3 venv modules
 The package currently depends on python3.12-venv and python3.13-venv. In the
 future, dependencies on jython (Python for a JVM) and ironpython (Python for
 Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 venv packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3-dev (= ${binary:Version}),
 ${misc:Depends},
 libpython3.12-dev,
 libpython3.13-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.12-dev and libpython3.13-dev. In
 the future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3-dbg (= ${binary:Version}),
 ${misc:Depends},
 libpython3.12t64-dbg,
 libpython3.13-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.12-dbg and libpython3.13-dbg. In
 the future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: 2to3
Architecture: all
Multi-Arch: foreign
Depends: python3-lib2to3 (>= 3.12.7-1~), python3 (>= ${binary:Version}), ${misc:Depends}
Description: 2to3 binary using python3
 2to3 is a Python program that reads Python 2.x source code and applies a
 series of fixers to transform it into valid Python 3.x code. The standard
 library contains a rich set of fixers that will handle almost all code. 2to3
 supporting library lib2to3 is, however, a flexible and generic library, so it
 is possible to write your own fixers for 2to3. lib2to3 could also be adapted

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))
UPSTRVER   := $(shell echo $(PKGVERSION) | sed 's,(.*)-.*,\1,')
VER        := $(shell echo $(PKGVERSION) | awk 'BEGIN{FS="." }{print $$1 "." $$2}')
NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 


distribution := $(shell dpkg-vendor --query Vendor)
distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)

# required python3.x version
UPSTRVER   := 3.13.0-2~

# required versions of python3-lib2to3 and python3-distutils
STDLIBVER   := 3.12.7-1~

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_i586 = dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.0-2~),
else
  bd_i586 = dpkg-dev (>= 1.16.1~),
endif

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
with_doc	= yes
else
with_doc	= no
endif

ifneq ($(with_doc),yes)
  NOPKGS	= -Npython3-doc
endif

build-arch: build
build-indep: build

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	: # compact text version
	$(MAKE) -C policy singlehtml SPHINXOPTS='-D html_theme_options.nosidebar=true'
	( \
	    echo 'The HTML version of the Debian Python Policy can be found in the python3-dev package'; \
	    html2text -utf8 -rcfile /usr/share/doc/html2text/examples/pretty.style \
	    policy/_build/singlehtml/index.html; \
	) > policy/_build/python-policy.txt
	rm -rf policy/_build/singlehtml

	: # dh_sphinxdoc cannot handle singlehtml, so build both and then discard html
	$(MAKE) -C policy html singlehtml
	touch stamp-doc-policy

ifeq ($(with_doc),yes)
stamp-doc: stamp-doc-policy
else
stamp-doc:
endif
	touch stamp-doc

control-file:
	sed -e "s/@UPSTRVER@/$(UPSTRVER)/g" \
	    -e "s/@STDLIBVER@/$(STDLIBVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@bd_i586@/$(bd_i586)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -rf policy/_build
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/python$(VER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	make check_versions
	DESTDIR=debian/python3 PREFIX=/usr make install-dev
	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime
ifeq ($(with_doc),yes)
	DESTDIR=debian/python3-minimal PREFIX=/usr make manpages
endif
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python3.xpm debian/idle/usr/share/pixmaps/idle.xpm

	mkdir -p debian/idle/usr/share/applications
	cp -p debian/idle.desktop debian/idle/usr/share/applications/

	: # provide the 2to3-3 a and 2to3-3.1 defaults
	mkdir -p debian/2to3/usr/bin
	install -m 755 debian/2to3.py debian/2to3/usr/bin/2to3

	mkdir -p debian/2to3/usr/share/man/man1
	install -m 644 debian/2to3.1 debian/2to3/usr/share/man/man1/2to3.1

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle; do \
	  case $$p in idle*) : ;; *) p=python3-$$p; esac; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install stamp-doc
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
	cp -p debian/debian_defaults \
		debian/python3-minimal/usr/share/python3/

	install -m 755 debian/py3versions.py \
		debian/python3-minimal/usr/share/python3/
	install -m 644 debian/py3versions.1 \
		debian/python3-minimal/usr/share/man/man1/
	dh_link -ppython3-minimal /usr/share/python3/py3versions.py /usr/bin/py3versions

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/python3
	install -m 644 debian/python.mk \

## python3-defaults 3.13.1-2

=== debian/changelog ===
python3-defaults (3.13.1-2) unstable; urgency=medium

  * py3clean: Migrate away from deprecated glob1. (Closes: #1092357)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Jan 2025 10:16:01 -0400

python3-defaults (3.13.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2025 10:39:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
 
 # required python3.x version
-UPSTRVER   := 3.13.0-2~
+UPSTRVER   := 3.13.1-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.12.7-1~
+STDLIBVER   := 3.13.1-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.0-2~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.1-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif

## python3-defaults 3.13.3-1

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= py3compile.1 py3clean.1
VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p')

clean:
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -type d | xargs rm -rf
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3compile
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3clean

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@

manpages: $(MANPAGES)

sbuild:
	sbuild --debbuildopts -I

# TESTS
tests:
	nosetests3 --with-doctest --with-coverage

check_versions:
	@PYTHONPATH=. set -ex; \
	SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	MIN_SUPPORTED=$${SUPPORTED%% *};\
	MAX_SUPPORTED=$${SUPPORTED##* };\
	grep -Fq "python3-supported-min (= $$MIN_SUPPORTED)" debian/control || \
	(echo 'Please update python3-supported-min in debian/control.in' >/dev/stderr; false);\
	grep -Fq "python3-supported-max (= $$MAX_SUPPORTED)" debian/control || \
	(echo 'Please update python3-supported-max in debian/control.in' >/dev/stderr; false)


.PHONY: clean tests test% check_versions

=== debian/changelog ===
python3-defaults (3.13.3-1) unstable; urgency=medium

  * Bump version to 3.13.3.
  * Update py3versions man page (Bjarni Ingi Gislason). Closes: #1101400.
  * README.Debian: Update for 3.13. Closes: #1061144.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 10:07:25 +0200

python3-defaults (3.13.2-2) unstable; urgency=medium

  * Stop building the 2to3 and python3-lib2to3 packages.
  * python3-full: Don't depend anymore on the removed packages.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Mar 2025 16:29:02 +0100

python3-defaults (3.13.2-1) unstable; urgency=medium

  * Bump version to 3.13.2.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 24 Feb 2025 18:47:22 -0400

python3-defaults (3.13.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 24 Feb 2025 18:41:09 -0400

python3-defaults (3.13.1-3~exp1) experimental; urgency=medium

  * Upload to experimental.
  * Remove Python 3.12 as a supported version.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Jan 2025 12:53:58 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.0-2~),
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.3-1~),
   python3.13-minimal:any,
   python3-docutils <!nodoc>,
   python3-sphinx <!nodoc>,
   html2text (>= 2) <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.python.org/
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults
@@ -17,10 +17,10 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.13 (>= 3.13.0-2~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.7-1~) , python3-venv (>= ${binary:Version})
+Depends: python3.13 (>= 3.13.3-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.13.3-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
-Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.13)
+Provides: python3-profiler, python3-supported-min (= 3.13), python3-supported-max (= 3.13)
 Conflicts: python3-distutils
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
@@ -33,7 +33,7 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.13-venv (>= 3.13.0-2~), python3 (= ${binary:Version}),
+Depends: python3.13-venv (>= 3.13.3-1~), python3 (= ${binary:Version}),
   ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
@@ -52,7 +52,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.13-minimal (>= 3.13.0-2~)
+Pre-Depends: python3.13-minimal (>= 3.13.3-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -65,7 +65,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.13-nopie (>= 3.13.0-2~), ${misc:Depends}
+  python3.13-nopie (>= 3.13.3-1~), ${misc:Depends}
 Description: Python interpreter linked without PIE (default python3 version)
  This package contains the interpreter not built as position independent
  executable. This interpreter is diverting the python3 executable, and making
@@ -75,7 +75,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.13-examples (>= 3.13.0-2~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.13-examples (>= 3.13.3-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -87,7 +87,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.13-dev (>= 3.13.0-2~),
+  python3.13-dev (>= 3.13.3-1~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -104,7 +104,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.13-dev (>= 3.13.0-2~), ${misc:Depends}
+Depends: libpython3.13-dev (>= 3.13.3-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -118,7 +118,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.13-stdlib (>= 3.13.0-2~), ${misc:Depends}
+Depends: libpython3.13-stdlib (>= 3.13.3-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
@@ -143,7 +143,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.13-doc (>= 3.13.0-2~), ${misc:Depends}
+Depends: python3.13-doc (>= 3.13.3-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -167,7 +167,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.13-dbg (>= 3.13.0-2~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.13-dbg (>= 3.13.3-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.13)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.13/lib-dynload/debug first.
@@ -176,7 +176,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.13-dbg (>= 3.13.0-2~), ${misc:Depends}
+Depends: libpython3.13-dbg (>= 3.13.3-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.13)
@@ -188,12 +188,10 @@
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
  ${misc:Depends},
- python3.12,
  python3.13,
 Description: package depending on all supported Python 3 runtime versions
- The package currently depends on python3.12 and python3.13. In the future,
- dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
- be added.
+ The package currently depends on python3.13. In the future, dependencies on
+ jython (Python for a JVM) and ironpython (Python for Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 runtimes.
@@ -206,12 +204,10 @@
  python3-all (= ${binary:Version}),
  python3-dev (= ${binary:Version}),
  ${misc:Depends},
- python3.12-dev,
  python3.13-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on python3.12-dev and python3.13-dev. In the
- future, dependencies on jython (Python for a JVM) and ironpython (Python for
- Mono) may be added.
+ The package currently depends on python3.13-dev. In the future, dependencies
+ on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 development
@@ -226,12 +222,10 @@
  python3-all (= ${binary:Version}),
  python3-dbg (= ${binary:Version}),
  ${misc:Depends},
- python3.12-dbg,
  python3.13-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on python3.12-dbg and python3.13-dbg. In the
- future, dependencies on jython (Python for a JVM) and ironpython (Python for
- Mono) may be added.
+ The package currently depends on python3.13-dbg. In the future, dependencies
+ on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 debug packages.
@@ -243,12 +237,10 @@
  python3-all (= ${binary:Version}),
  python3-venv (= ${binary:Version}),
  ${misc:Depends},
- python3.12-venv,
  python3.13-venv,
 Description: package depending on all supported Python 3 venv modules
- The package currently depends on python3.12-venv and python3.13-venv. In the
- future, dependencies on jython (Python for a JVM) and ironpython (Python for
- Mono) may be added.
+ The package currently depends on python3.13-venv. In the future, dependencies
+ on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 venv packages.
@@ -259,12 +251,11 @@
 Section: libdevel
 Depends: libpython3-dev (= ${binary:Version}),
  ${misc:Depends},
- libpython3.12-dev,
  libpython3.13-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on libpython3.12-dev and libpython3.13-dev. In
- the future, dependencies on jython (Python for a JVM) and ironpython (Python
- for Mono) may be added.
+ The package currently depends on libpython3.13-dev. In the future,
+ dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
+ be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 development
@@ -276,23 +267,32 @@
 Section: debug
 Depends: libpython3-dbg (= ${binary:Version}),
  ${misc:Depends},
- libpython3.12t64-dbg,
  libpython3.13-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on libpython3.12-dbg and libpython3.13-dbg. In
- the future, dependencies on jython (Python for a JVM) and ironpython (Python
- for Mono) may be added.
+ The package currently depends on libpython3.13-dbg. In the future,
+ dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
+ be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 debug packages.
 
-Package: 2to3
-Architecture: all
-Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.12.7-1~), python3 (>= ${binary:Version}), ${misc:Depends}
-Description: 2to3 binary using python3
- 2to3 is a Python program that reads Python 2.x source code and applies a
- series of fixers to transform it into valid Python 3.x code. The standard
- library contains a rich set of fixers that will handle almost all code. 2to3
- supporting library lib2to3 is, however, a flexible and generic library, so it
- is possible to write your own fixers for 2to3. lib2to3 could also be adapted
+Package: python3-full
+Architecture: any
+Multi-Arch: allowed
+Depends: python3 (= ${binary:Version}),
+  python3.13-full (>= 3.13.3-1~),
+  python3-venv (= ${binary:Version}),
+  idle,
+  python3-gdbm,
+  python3-tk,
+  ${shlibs:Depends}, ${misc:Depends}
+Recommends: python3-doc, python3-examples,
+Suggests: python3-dev
+Description: Default Python Interpreter with complete class library
+ Python, the high-level, interactive object oriented language,
+ includes an extensive class library with lots of goodies for
+ network programming, system administration, sounds and graphics.
+ .
+ This package is a dependency package, which depends on the full
+ standard library of Python for Python developers. Including modules
+ used only at build-time, such as venv, and modules with

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
 
 # required python3.x version
-UPSTRVER   := 3.13.1-1~
+UPSTRVER   := 3.13.3-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.13.1-1~
+STDLIBVER   := 3.13.3-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.1-1~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.3-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif

## python3-defaults 3.13.5-1

=== debian/changelog ===
python3-defaults (3.13.5-1) unstable; urgency=medium

  * Bump version to 3.13.5.
  * Fix typo in unsupported_versions.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Jun 2025 09:17:02 +0200

python3-defaults (3.13.4-1) unstable; urgency=medium

  * Bump version to 3.13.4.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jun 2025 07:58:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.3-1~),
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.5-1~),
   python3.13-minimal:any,
   python3-docutils <!nodoc>,
   python3-sphinx <!nodoc>,
@@ -17,8 +17,8 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.13 (>= 3.13.3-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.13.3-1~) , python3-venv (>= ${binary:Version})
+Depends: python3.13 (>= 3.13.5-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.13.5-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler, python3-supported-min (= 3.13), python3-supported-max (= 3.13)
 Conflicts: python3-distutils
@@ -33,7 +33,7 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.13-venv (>= 3.13.3-1~), python3 (= ${binary:Version}),
+Depends: python3.13-venv (>= 3.13.5-1~), python3 (= ${binary:Version}),
   ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
@@ -52,7 +52,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.13-minimal (>= 3.13.3-1~)
+Pre-Depends: python3.13-minimal (>= 3.13.5-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -65,7 +65,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.13-nopie (>= 3.13.3-1~), ${misc:Depends}
+  python3.13-nopie (>= 3.13.5-1~), ${misc:Depends}
 Description: Python interpreter linked without PIE (default python3 version)
  This package contains the interpreter not built as position independent
  executable. This interpreter is diverting the python3 executable, and making
@@ -75,7 +75,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.13-examples (>= 3.13.3-1~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.13-examples (>= 3.13.5-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -87,7 +87,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.13-dev (>= 3.13.3-1~),
+  python3.13-dev (>= 3.13.5-1~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -104,7 +104,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.13-dev (>= 3.13.3-1~), ${misc:Depends}
+Depends: libpython3.13-dev (>= 3.13.5-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -118,7 +118,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.13-stdlib (>= 3.13.3-1~), ${misc:Depends}
+Depends: libpython3.13-stdlib (>= 3.13.5-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
@@ -143,7 +143,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.13-doc (>= 3.13.3-1~), ${misc:Depends}
+Depends: python3.13-doc (>= 3.13.5-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -167,7 +167,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.13-dbg (>= 3.13.3-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.13-dbg (>= 3.13.5-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.13)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.13/lib-dynload/debug first.
@@ -176,7 +176,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.13-dbg (>= 3.13.3-1~), ${misc:Depends}
+Depends: libpython3.13-dbg (>= 3.13.5-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.13)
@@ -280,7 +280,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.13-full (>= 3.13.3-1~),
+  python3.13-full (>= 3.13.5-1~),
   python3-venv (= ${binary:Version}),
   idle,
   python3-gdbm,

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
 
 # required python3.x version
-UPSTRVER   := 3.13.3-1~
-
-# required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.13.3-1~
+UPSTRVER   := 3.13.5-1~
+
+# required versions of python3-tk
+STDLIBVER   := 3.13.5-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.3-1~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.13:any (>= 3.13.5-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -215,13 +215,6 @@
 	mkdir -p debian/idle/usr/share/applications
 	cp -p debian/idle.desktop debian/idle/usr/share/applications/
 
-	: # provide the 2to3-3 a and 2to3-3.1 defaults
-	mkdir -p debian/2to3/usr/bin
-	install -m 755 debian/2to3.py debian/2to3/usr/bin/2to3
-
-	mkdir -p debian/2to3/usr/share/man/man1
-	install -m 644 debian/2to3.1 debian/2to3/usr/share/man/man1/2to3.1
-
 #	dh_installdebconf -i $(NOPKGS)
 	dh_lintian -i
 	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
@@ -274,3 +267,11 @@
 
 	mkdir -p debian/python3/usr/share/python3
 	install -m 644 debian/python.mk \
+		debian/python3/usr/share/python3/
+
+	mkdir -p debian/python3/usr/share/man/man1
+	ln -sf pydoc$(VER).1.gz \
+		debian/python3/usr/share/man/man1/pydoc3.1.gz
+	ln -sf pygettext$(VER).1.gz \
+		debian/python3/usr/share/man/man1/pygettext3.1.gz
+	ln -sf pdb$(VER).1.gz \
